// Ri3DLoader.cpp : Implementation of CRi3DLoader

#include "stdafx.h"
#include "Ri3DLoader.h"
#include "RcCreate3DLoader.h"

STDMETHODIMP CRi3DLoader::get_Name(BSTR* pVal)
{
	CComBSTR szName = L"Rs3DLoader";
	*pVal = szName.Detach();
	return S_OK;
};

STDMETHODIMP CRi3DLoader::Create3DLoader()
{
    HRESULT hr;

    // Create RcCreate3DLoader command
    CComPtr<IRsNode> spCmdNode;
    if (FAILED(hr = CRp3DLoader::CreateCmdObj(DEF_GUIDNAME_PTR(IRcCreate3DLoader), &spCmdNode)))
        return hr;

    //execute it
    return CRp3DLoader::ExecuteCommand(spCmdNode);
}
